Source: eclipse-egit
Version: 3.7.0-1
Severity: serious
Justification: fails to build from source
User: reproducible-builds@lists.alioth.debian.org
Usertags: ftbfs
X-Debbugs-Cc: reproducible-builds@lists.alioth.debian.org

Dear Maintainer,

eclipse-egit fails to build from source in unstable/amd64:

  [..]
  
  init:
  
  generateScript:
  [eclipse.buildScript] Some inter-plug-in dependencies have not been satisfied.
  [eclipse.buildScript] Bundle org.eclipse.egit.mylyn.ui.test:
  [eclipse.buildScript]         Host plug-in org.eclipse.egit.mylyn.ui_0.0.0 
has not been found.
  [eclipse.buildScript]         Missing required plug-in 
org.apache.log4j_[1.0.0,2.0.0).
  [eclipse.buildScript]         Missing required plug-in 
org.hamcrest_[1.1.0,2.0.0).
  [eclipse.buildScript] Bundle org.eclipse.egit.core:
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.api_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.api.errors_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.diff_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.dircache_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.errors_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.events_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.internal.storage.file_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.lib_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.merge_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.patch_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.revwalk_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.revwalk.filter_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.storage.file_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.submodule_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.transport_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.treewalk_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.treewalk.filter_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.util_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.util.io_[3.7.0,3.8.0).
  [eclipse.buildScript] Bundle org.eclipse.egit.ui.test:
  [eclipse.buildScript]         Host plug-in org.eclipse.egit.ui_0.0.0 has not 
been found.
  [eclipse.buildScript]         Missing required plug-in 
org.apache.log4j_[1.0.0,2.0.0).
  [eclipse.buildScript]         Missing required plug-in 
org.hamcrest_[1.1.0,2.0.0).
  [eclipse.buildScript]         Missing required plug-in 
org.mockito_[1.8.0,1.9.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.core.test_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.api_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.api.errors_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.junit_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.junit.http_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.lib_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.revwalk_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.storage.file_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.transport_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.transport.resolver_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.util_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.swtbot.eclipse.finder_0.0.0.
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.swtbot.eclipse.finder.exceptions_0.0.0.
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.swtbot.eclipse.finder.finders_0.0.0.
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.swtbot.eclipse.finder.waits_0.0.0.
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.swtbot.eclipse.finder.widgets_0.0.0.
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.swtbot.swt.finder_0.0.0.
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.swtbot.swt.finder.exceptions_0.0.0.
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.swtbot.swt.finder.finders_0.0.0.
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.swtbot.swt.finder.junit_0.0.0.
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.swtbot.swt.finder.matchers_0.0.0.
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.swtbot.swt.finder.results_0.0.0.
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.swtbot.swt.finder.utils_0.0.0.
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.swtbot.swt.finder.waits_0.0.0.
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.swtbot.swt.finder.widgets_0.0.0.
  [eclipse.buildScript]         Unsatisfied import package 
org.mockito_[1.8.0,1.9.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.mockito.stubbing_[1.8.0,1.9.0).
  [eclipse.buildScript] Bundle org.eclipse.egit.mylyn.ui:
  [eclipse.buildScript]         Missing required plug-in 
org.eclipse.mylyn.monitor.core_[3.0.0,4.0.0).
  [eclipse.buildScript]         Missing required plug-in 
org.eclipse.mylyn.tasks.core_[3.0.0,4.0.0).
  [eclipse.buildScript]         Missing required plug-in 
org.eclipse.mylyn.tasks.ui_[3.0.0,4.0.0).
  [eclipse.buildScript]         Missing required plug-in 
org.eclipse.mylyn.team.ui_[3.0.0,4.0.0).
  [eclipse.buildScript]         Missing required plug-in 
org.eclipse.mylyn.resources.ui_[3.0.0,4.0.0).
  [eclipse.buildScript]         Missing required plug-in 
org.eclipse.mylyn.context.core_[3.0.0,4.0.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.core_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.core.synchronize_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.ui_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.ui.internal.commit_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.ui.internal.synchronize.model_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.errors_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.lib_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.revwalk_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.transport_[3.7.0,3.8.0).
  [eclipse.buildScript] Bundle org.eclipse.egit.core.test:
  [eclipse.buildScript]         Host plug-in org.eclipse.egit.core_0.0.0 has 
not been found.
  [eclipse.buildScript]         Missing required plug-in 
org.hamcrest_[1.1.0,2.0.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.mockito_[1.8.0,1.9.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.mockito.runners_[1.8.0,1.9.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.mockito.stubbing_[1.8.0,1.9.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.core_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.core.op_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.core.project_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.api.errors_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.junit_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.lib_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.treewalk_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.treewalk.filter_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.util_[3.7.0,3.8.0).
  [eclipse.buildScript] Bundle org.eclipse.jgit:
  [eclipse.buildScript]         Unsatisfied import package 
org.slf4j_[1.7.0,2.0.0).
  [eclipse.buildScript] Bundle slf4j.api:
  [eclipse.buildScript]         Unsatisfied import package org.slf4j.impl_1.6.0.
  [eclipse.buildScript] Bundle org.eclipse.jgit.java7:
  [eclipse.buildScript]         Host plug-in org.eclipse.jgit_3.1.1 has not 
been found.
  [eclipse.buildScript] Bundle org.eclipse.egit.ui:
  [eclipse.buildScript]         Optional plug-in 
org.eclipse.e4.ui.css.swt.theme_0.0.0 is not available.
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.core_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.core.internal_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.core.internal.gerrit_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.core.internal.indexdiff_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.core.internal.job_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.core.internal.rebase_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.core.internal.storage_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.core.internal.util_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.core.op_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.core.project_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.core.securestorage_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.core.synchronize_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.egit.core.synchronize.dto_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.api_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.api.errors_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.blame_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.diff_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.dircache_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.errors_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.events_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.fnmatch_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.internal.storage.file_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.lib_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.merge_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.notes_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.patch_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.revplot_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.revwalk_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.revwalk.filter_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.storage.file_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.submodule_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.transport_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.treewalk_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.treewalk.filter_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.util_[3.7.0,3.8.0).
  [eclipse.buildScript]         Unsatisfied import package 
org.eclipse.jgit.util.io_[3.7.0,3.8.0).
  
  BUILD FAILED
  
/usr/lib/eclipse/dropins/sdk/plugins/org.eclipse.pde.build_3.8.1.dist/scripts/build.xml:35:
 The following error occurred while executing this line:
  
/usr/lib/eclipse/dropins/sdk/plugins/org.eclipse.pde.build_3.8.1.dist/scripts/build.xml:91:
 The following error occurred while executing this line:
  
/usr/lib/eclipse/dropins/sdk/plugins/org.eclipse.pde.build_3.8.1.dist/templates/package-build/customTargets.xml:19:
 The following error occurred while executing this line:
  
/usr/lib/eclipse/dropins/sdk/plugins/org.eclipse.pde.build_3.8.1.dist/scripts/genericTargets.xml:111:
 Processing inclusion from feature org.eclipse.egit: Bundle 
org.eclipse.jgit_3.7.1.201504261725-r failed to resolve.:
        Unsatisfied import package org.slf4j_[1.7.0,2.0.0).
  
  
  Total time: 2 seconds
  An error has occurred. See the log file
  
/home/lamby/temp/cdt.20160201195010.nhmPZxX4QR/eclipse-egit-3.7.0/debian/.eclipse-build/build/home/workspace/.metadata/.log.
  jh_compilefeatures: cd debian/.eclipse-build && 
/usr/lib/eclipse/buildscripts/pde-build -o 
/home/lamby/temp/cdt.20160201195010.nhmPZxX4QR/eclipse-egit-3.7.0/debian/.eclipse-build/orbitdeps
 -a "-DjavacTarget=1.5 -DjavacSource=1.5"  -f org.eclipse.egit returned exit 
code 13
  debian/rules:10: recipe for target 'build' failed
  make: *** [build] Error 13

  [..]

The full build log is attached.


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      la...@debian.org / chris-lamb.co.uk
       `-

Attachment: eclipse-egit.3.7.0-1.unstable.amd64.log.txt.gz
Description: Binary data

_______________________________________________
Reproducible-builds mailing list
Reproducible-builds@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/reproducible-builds

Reply via email to